%define _prefix /opt/globus

Summary: Globus libtool package
Name: libtool-globus
Version: 1.1
Release: 0.10%{?dist}
Group: Globus/MDS
License: Globus Toolkit Public License (GTPL)
Source: pkg_data_src.gpt
Patch: %{name}.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gpt
Requires: libtool
Provides: globus_libtool

%package devel
Summary: Globus libtool package devel
Group: Globus/MDS
Requires: libtool-globus
%if %{?_vendor}
%if %{_vendor} == "redhat"
Requires: /usr/include/ltdl.h
%endif
%if %{_vendor} == "MandrakeSoft"
Requires: libltdl-devel
%endif
%if %{_vendor} == "suse"
Requires: libtool
%endif
%endif
Provides: globus_libtool-devel

# 64 bit?
%ifarch x86_64 alpha
%define flavor gcc64pthr
%else
%define flavor gcc32pthr
%endif

%description
Virtual package for libtool

%description devel
Virtual package for libtool-devel

%prep
%setup -T -c
cp -p %{SOURCE0} .
%patch -p0

%build
unset GPT_LOCATION
for i in `echo $PATH | tr : ' '` /opt/gpt/sbin; do
  if test -f $i/gpt-build; then
    export GPT_LOCATION=`dirname $i`
    break
  fi
done

if test -z "$GPT_LOCATION"; then
  echo "Could not determine GPT_LOCATION"
  exit 1
fi

$GPT_LOCATION/sbin/gpt_generate_bin_pkg_data --flavor=%{flavor} pkg_data_src.gpt 
rm -f *pgm_static*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_libtool
cp -p pkg_data_%{flavor}_* pkg_data_noflavor_* $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_libtool

find $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_libtool -type f ! -name \*_dev\.\* \
     | sed "s:^$RPM_BUILD_ROOT::" > filelist

find $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_libtool -type f -name \*_dev\.\* \
     | sed "s:^$RPM_BUILD_ROOT::" > filelist-devel

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist
%defattr(-,root,root,-)
%dir %{_prefix}/etc/gpt/packages/globus_libtool

%files -f filelist-devel devel
%defattr(-,root,root,-)
%changelog
* Mon Apr 21 2008 Anders Waananen <waananen@nbi.dk> - 1.1-0.10%{?dist}
- Autogenerated

